package ru.loparev.session1

import retrofit2.Call
import retrofit2.http.*
import ru.loparev.session1.models.*

//Настройка ретрофит для получения курса валют
interface JsonPlaceHolderAPI {
    @get:GET("daily_json.js")
    val course:Call<Valuta>
}
//Настройка для получения банкоматов
interface GetBankomatsAPI {
    @get:GET("mobile/bankomats")
    val bankomat:Call<List<Bankomat>>
}
//Настройка ретрофит для получения токена
interface  GetTokenAPI{
    @Headers("Content-Type: application/json;charset=UTF-8")
    @POST("mobile/login")
    fun login(@Body value: LoginModel): Call<LoginResponseTokenModel>
}

interface  PostTokenAPI{
    @GET("mobile/test")
    fun postToken(@Header("Authorization") token: String): Call<Notice>
}